%define	version 1.0.1
%define kdename ktron

Name: %{kdename}
Summary: Clone of the popular 80's game
Version: %{version}
Release: 6mdk
Source:  %{name}-%{version}.tar.bz2
Group: Games/Arcade
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs
Prefix: %{_prefix}

%description
KDE version popular 80's Tron game.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
libtoolize --force
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 

./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install
strip $RPM_BUILD_ROOT/usr/bin/* || : 

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="ktron" icon="ktron.xpm" needs="x11" section="Amusement/Arcade" title="KTron"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files 
%defattr(-,root,root,0755)
/usr/bin/ktron
%docdir /usr/doc/kde/HTML/de/ktron
%doc /usr/doc/kde/HTML/de/ktron/*
%docdir /usr/doc/kde/HTML/en/ktron
%doc /usr/doc/kde/HTML/en/ktron/*
/usr/lib/menu/*
/usr/share/icons/ktron.xpm
/usr/share/icons/mini/ktron.xpm
/usr/share/locale/de/LC_MESSAGES/ktron.mo
/usr/share/locale/pl/LC_MESSAGES/ktron.mo 

%changelog
* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.1-6mdk
- updated Group.
- added menu entry.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 25 1999 Camille Begnis <camille@mandrakesoft.com>
- strip binary
- changed auto file list to hard coded list
 
* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
